Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 668670 - app-text/zathura-pdf-mupdf-0.3.4 Linker flags may need changing due to upstream changes since 0.3.3
Summary: app-text/zathura-pdf-mupdf-0.3.4 Linker flags may need changing due to upstre...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Weber (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-14 22:29 UTC by anoteros
Modified: 2018-11-10 23:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description anoteros 2018-10-14 22:29:11 UTC
app-text-/zathura-pdf-mupdf-0.3.4 does not explicitly link against any jpeg libraries even though they are required for functionality.
(trying to open a pdf in zathura through this plugin yields 
"error: Could not load plugin '/usr/lib64/zathura/libpdf-mupdf.so' (/usr/lib64/zathura/libpdf-mupdf.so: undefined symbol: jpeg_resync_to_restart)."

This seems to have been fixed in ArchLinux and Guix

See:
https://git.archlinux.org/svntogit/community.git/tree/trunk/0001-Explicitly-link-against-jbig2dec-openjp2-and-jpeg.patch?h=packages/zathura-pdf-mupdf

https://www.mail-archive.com/guix-commits@gnu.org/msg50974.html
Comment 1 Mikle Kolyada (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2018-10-27 20:45:14 UTC
Was this reported upstream?
Comment 2 Kajzer 2018-11-01 17:39:55 UTC
This worked for me :

--- a/meson.build	2018-11-01 18:27:02.342144699 +0100
+++ b/meson.build	2018-11-01 18:34:51.042069533 +0100
@@ -29,7 +29,6 @@
   mupdf,
 ]
 
-if get_option('link-external')
   libjpeg = dependency('libjpeg')
   libjbig2dec = cc.find_library('jbig2dec')
   libopenjp2 = dependency('libopenjp2')
@@ -39,7 +38,6 @@
     libjbig2dec,
     libopenjp2
   ]
-endif
 
 if get_option('plugindir') == ''
   plugindir = zathura.get_pkgconfig_variable('plugindir')
Comment 3 Larry the Git Cow gentoo-dev 2018-11-10 23:26:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2eeae6e9012ee67cdf51671ae01f1a9cedcb88e0

commit 2eeae6e9012ee67cdf51671ae01f1a9cedcb88e0
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-11-10 23:25:55 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-11-10 23:25:55 +0000

    app-text/zathura-pdf-mupdf: restore dependencies
    
    Closes: https://bugs.gentoo.org/668670
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 app-text/zathura-pdf-mupdf/zathura-pdf-mupdf-0.3.4.ebuild | 3 +++
 app-text/zathura-pdf-mupdf/zathura-pdf-mupdf-9999.ebuild  | 3 +++
 2 files changed, 6 insertions(+)